{
    "type": "crafting_shaped",
    "key": {
        "a": [
            "minecraft:iron_chain"
        ],
        "b": [
            "minecraft:iron_ingot"
        ]
    },
    "pattern": [
        "bbb",
        "a a"
    ],
    "result": {
        "id": "chainmail_helmet"
    }
}